### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
HullWhiteProcess Class Reference
Stochastic processes

Hull-White stochastic process. More...

`#include <ql/processes/hullwhiteprocess.hpp>`

Inheritance diagram for HullWhiteProcess:
[legend]

List of all members.

## Public Member Functions

| HullWhiteProcess (const Handle< YieldTermStructure > &h, Real a, Real sigma)
StochasticProcess1D interface
Real | x0 () const
| returns the initial value of the state variable
Real | drift (Time t, Real x) const
| returns the drift part of the equation, i.e.
Real | diffusion (Time t, Real x) const
| returns the diffusion part of the equation, i.e.
Real | expectation (Time t0, Real x0, Time dt) const
Real | stdDeviation (Time t0, Real x0, Time dt) const
Real | variance (Time t0, Real x0, Time dt) const
Real | a () const
Real | sigma () const
Real | alpha (Time t) const

## Protected Attributes

boost::shared_ptr < QuantLib::OrnsteinUhlenbeckProcess > | process_
Handle< YieldTermStructure > | h_
Real | a_
Real | sigma_

## Detailed Description

Hull-White stochastic process.

## Member Function Documentation

Real expectation | ( | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the expectation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess1D.

Real stdDeviation | ( | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the standard deviation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess1D.

Real variance | ( | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the variance of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess1D.